//package com.cim.idm.service;
package com.cim.idm.service;


import com.alibaba.fastjson.JSONObject;
import com.cim.idm.utils.AjaxResult;

/**
 * @Description
 * @Author 陶庆峰
 * @Date 2024/4/28 8:29
 */
public interface SAPService {
    /**********************************WMS调取SAP****************************************/	
    /**
     * 物料凭证冲销
     * @param 
     * @return
     */
    public AjaxResult MM068(String token) throws Exception;
    
    /**
     * 货物移动接口 TODO:有最新版
     * @param 
     * @return
     */
    public AjaxResult MM067(String token) throws Exception;
    

	/**
	 * SD023-销售发货单回传接口
	 * */    
    public AjaxResult SD023(String token) throws Exception;
    
    
    /**********************************SAP调取WMS********************************************************/	
   
	/**
	 * SD022-销售发货单下发接口
	 * */    
    public AjaxResult SD022(JSONObject param) throws Exception;
    
	/**
	 * MM040WMS待退供应商批次查询
	 * */    
    public AjaxResult MM040(JSONObject param) throws Exception;
    
    /**
     * 物料主数据下发接口
     * @param 
     * @return
     */
    public AjaxResult MM003(JSONObject param) throws Exception;
    
    /**
     * 采购订单下发接口
     * @param 
     * @return
     */
    public AjaxResult MM0035(JSONObject param) throws Exception;
    
    /**
     * 预留单、领料单创建接口
     * @param 
     * @return
     */
    public AjaxResult MM0060(JSONObject param) throws Exception;
}

